package domain

type AlibabaWdkMarketingDiscountItemAddAsyncMarketResult struct {
	/*
	   处理结果     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   结果数据     */
	Datas *[]AlibabaWdkMarketingDiscountItemAddAsyncItemDiscountSku `json:"datas,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingDiscountItemAddAsyncMarketResult) SetMessage(v string) *AlibabaWdkMarketingDiscountItemAddAsyncMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingDiscountItemAddAsyncMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingDiscountItemAddAsyncMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingDiscountItemAddAsyncMarketResult) SetDatas(v []AlibabaWdkMarketingDiscountItemAddAsyncItemDiscountSku) *AlibabaWdkMarketingDiscountItemAddAsyncMarketResult {
	s.Datas = &v
	return s
}
func (s *AlibabaWdkMarketingDiscountItemAddAsyncMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingDiscountItemAddAsyncMarketResult {
	s.Success = &v
	return s
}
